# DrGenius not ok with gcc296 or gcc3, use egcs
%define 	compat-egcs 1 
Summary: 	Dr. Genius is an interactive geometry program.	
Name:   	drgenius	
Version:	0.5.15
Release:	0	
Copyright:	GPL
Url:       	http://www.ofset.org/drgenius/
Packager:	Rex Dieter <rdieter@unl.edu>
Prefix:	   	/usr
Group:     	Applications/Engineering
Source:    	http://www.ofset.org/drgenius/%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
%{?compat-egcs:BuildRequires: compat-egcs-c++}

%description
Dr. Genius is an interactive geometry program.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

##patch1 -p1

%{?compat-egcs:export CXX='egcs++'} %configure

%build
%{__make}

%install

##makeinstall
%{__make} install-strip DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/%{name}-%{version}
rm -rf $RPM_BUILD_DIR/file.list.%{name} $RPM_BUILD_DIR/%{name}.lang

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/drgenius
%{_datadir}/gnome/apps/*/*
%{_datadir}/pixmaps/*
%doc AUTHORS ChangeLog COPYING NEWS README TODO

%changelog
* Thu Oct 11 2001 Rex Dieter <rdieter@unl.edu> -0
- first try 0.5.15
- gcc++ 2.96 balks... try egcs++
- use %%find_lang
